Upgrade from Kirby 1

Advice

Don't update directly on your live server. You need to exchange a couple of things and your website would probably be broken during the upgrade. It's better to do the upgrade on a local installation.

Updating the /kirby and /panel folders

Updating the /kirby and /panel folder still works like with 1.x versions. Just download the latest Kirby starterkit and replace the old folders.

New index.php

Kirby 2 will not work with the old index.php.
Please upgrade to the new index.php

Changed site folder structure

The folder structure in your site folder has slightly changed. Please move your folders according to the following table.

Old New
/site/panel/accounts /site/accounts
/site/panel/fields /site/fields

Panel config

The panel config file is no longer loaded from /site/panel/config.php. Instead you should move all panel configuration options to /site/config/config.php

Panel fields

Panel fields are completely different and more powerful in Kirby 2. Your old custom fields will not be working in Kirby 2. Read the guide how to create panel fields in Kirby 2.

Kirbytext extensions

Kirby 2 has a new concept for simpler Kirbytext extensions, which are easier to share between projects or other Kirby users. Unfortunately Kirby 1 Kirbytext extensions are not compatible with Kirby 2. Read how to create Kirbytext extensions in Kirby 2.

Accounts

Kirby 2 has a completely rewritten user management which supports secure password encryption. Old account files are thus no longer compatible with your new installation.

Plugins

Obsolete plugins

With Kirby 2 sending emails, building tagclouds and generating thumbnails have become core features. You no longer need to install plugins for those and you should even remove them to avoid conflicts.

Update official plugins

Please update official plugins, which are listed on our download site, to make sure they will run in Kirby 2.

3rd-party plugins

Please check for updates of 3rd-party plugins and be aware that there might be issues with older plugins.

.htaccess

We try to keep our .htaccess as compatible with many server environments as possible. Please get the latest .htaccess for Kirby 2, which will make installation of Kirby 2 less complicated in most situations — especially when installing Kirby 2 in a subfolder.

Multi language version

The configuration for multi-language sites and the API for working with available languages has changed fundamentally. Please check out the new way to setup multiple languages and the examples for how to work with the language API. More can be found in the cheat sheet.